<?php
/*
Plugin Name: Simply Poll
Version: 1.3.4
Plugin URI: http://wolfiezero.com/wordpress/simply-poll/
Description: This plugin easily allows you to create polls
Author: WolfieZero
Author URI: http://wolfiezero.com/
*/

require('config.php');

if( !function_exists('add_action') ) {
	echo SP_DIRECT_ACCESS;
	exit;
}

// Registers the activation hook - runs the install function when the plugin is activated
register_activation_hook(__FILE__, 'spInstall');

require('lib/simplypoll.php');
require('lib/db.php');

add_action('init', 'simplyPollFiles');
add_shortcode('poll', 'simplyPollClient');

if( is_admin() ){ simplyPollAdmin(); }

/**
 * Simply Poll Client View
 * Handles Simply Poll on the client side of the site
 * 
 * @param	array	$args
 * @return	string	HTML output of the poll
 ******************************************************************************/
function simplyPollClient($args){		
	$simplyPoll = new SimplyPoll();
	return $simplyPoll->displayPoll($args);
}


/**
 * Simply Poll Admin View
 * Handles Simply Poll for the admin
 ******************************************************************************/
function simplyPollAdmin() {
	require('lib/admin.php');
	global $spAdmin;
	$spAdmin = new SimplyPollAdmin();	
}


/**
 * Simply Poll Files
 ******************************************************************************/
function simplyPollFiles(){		
	wp_register_style('simplypollCSS', SP_CSS_USER, false, SP_VERSION);

	wp_enqueue_style('simplypollCSS');
	wp_enqueue_script('jquery');
}


/**
 * Simply Poll Install Script
 * Installs Simply Poll correctly
 ******************************************************************************/
function spInstall() {
	global $wpdb;
	
	$sql = '
		CREATE TABLE IF NOT EXISTS `'.SP_TABLE.'` (
			`id` INT NOT NULL AUTO_INCREMENT ,
			`question` VARCHAR( 512 ) NOT NULL ,
			`answers` TEXT NOT NULL ,
			`added` INT NOT NULL ,
			`active` INT NOT NULL ,
			`totalvotes` INT NOT NULL ,
			`updated` INT NOT NULL ,
			PRIMARY KEY ( `id` )
		)
	';
	
	$success = $wpdb->query($sql);

	if($success) {
		
	} else {
		
		$msg =	'<p><strong>Couldn`t create the Simply Poll table</strong>, make sure the db user `'.DB_USER.'` has CREATE privilages.<br />'.
				'Alternatively, you can run the CREATE query yourself using the following SQL:</p>'.
				'<pre>'.print_r($sql, true).'</pre>';
				echo $msg;
	}
}